<?php
		header("Access-Control-Allow-Origin: *");
		header("Access-Control-Allow-Headers: access");
		header("Access-Control-Allow-Methods: GET");
		header("Access-Control-Allow-Credentials: true");
		header("Content-Type: application/json; charset=UTF-8");

		include_once '../Database.php';
		include_once 'cotizacion.php';

		$database = new DataBase();
		$db = $database->getConnection();

		$cotizacion = new Cotizacion($db);
		$cotizacion->id = isset($_GET['id'])?$_GET['id']:die();
		try{
			$stmt = $cotizacion->select("select * from cotizaciones where id='".$cotizacion->id."' ");
		$num = $stmt->rowCount();

		if($num>0){
			$row =$stmt->fetch(PDO::FETCH_ASSOC);
				extract($row);
				$add_item=array(
					"id"=>$id,
					"nombre"=>$nombre,
					"apellidop"=>$apellidop,
					"apellidom"=>$apellidom,
					"correo"=>$correo,
					"telefono"=>$telefono,
					"proyecto"=>$proyecto,
					"fecha"=>$fecha,
					"descripcion"=>$descripcion,
					"folio"=>$folio,
					"observaciones"=>$observaciones,
					"usuario"=>$usuario,
					"estado"=>$estado,
					"total"=>$total,
				);
			
			echo json_encode($add_item);
		}
		else {
			echo json_encode(array("Mensaje"=>"No se han encontrado registros"));
		}
	}catch(Exeption $e){
		echo json_encode(array("Error"=>"Error ".$e));
	}
	
		
?>